Unable to deploy

I'm running a deploy on an older installation (August 2021) but I'm running into an issue.
I did an update-code first for CC Cloud then looked through the changelogs and wanted to apply this update: These are old docs for Commcare Cloud that will be removed. Check out the new docs. | Official toolkit for deploying and maintaining CommCare server environment
Before I can apply that, I need to make sure I'm on commit 8de1f15447be119538f2bbbcd355c3b421e33e0e so deployed that with:

cchq monolith deploy --commcare-rev 8de1f15447be119538f2bbbcd355c3b421e33e0e

I get an error during deployment with the following output:

[x.x.x.x] Executing task 'update'
[x.x.x.x] sudo: git submodule foreach "git fetch origin"
[x.x.x.x] out: Entering 'corehq/apps/hqmedia/static/hqmedia/MediaUploader'
[x.x.x.x] out: fatal: unable to connect to github.com:
[x.x.x.x] out: github.com[0: 140.82.121.3]: errno=Connection timed out
[x.x.x.x] out:
[x.x.x.x] out: fatal: run_command returned non-zero status for corehq/apps/hqmedia/static/hqmedia/MediaUploader
[x.x.x.x] out: .
[x.x.x.x] out:


Fatal error: sudo() received nonzero return code 128 while executing!

Requested: git submodule foreach "git fetch origin"
Executed: sudo -S -p 'sudo password:' -H  -u "cchq"  /bin/bash -l -c "cd /home/cchq/www/monolith/current >/dev/null && git submodule foreach \"git fetch origin\""

Aborting.
!!! Parallel execution exception under host 'x.x.x.x':
Process x.x.x.x:
Traceback (most recent call last):
  File "/usr/lib/python3.6/multiprocessing/process.py", line 258, in _bootstrap
    self.run()
  File "/usr/lib/python3.6/multiprocessing/process.py", line 93, in run
    self._target(*self._args, **self._kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 240, in inner
    submit(task.run(*args, **kwargs))
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 172, in run
    return self.wrapped(*args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/decorators.py", line 52, in inner_decorator
    return func(*args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/decorators.py", line 180, in inner
    return func(*args, **kwargs)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/operations/release.py", line 45, in update
    _update_code_from_previous_release(code_repo, subdir, git_env)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/operations/release.py", line 72, in _update_code_from_previous_release
    sudo('git submodule foreach "git fetch origin"')
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/network.py", line 654, in host_prompting_wrapper
    return func(*args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/operations.py", line 1121, in sudo
    stderr=stderr, timeout=timeout, shell_escape=shell_escape,
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/operations.py", line 952, in _run_command
    error(message=msg, stdout=out, stderr=err)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py", line 359, in error
    return func(message)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py", line 55, in abort
    raise env.abort_exception(msg)
Exception: sudo() received nonzero return code 128 while executing!

Requested: git submodule foreach "git fetch origin"
Executed: sudo -S -p 'sudo password:' -H  -u "cchq"  /bin/bash -l -c "cd /home/cchq/www/monolith/current >/dev/null && git submodule foreach \"git fetch origin\""

Fatal error: One or more hosts failed while executing task 'update'

Underlying exception:
    sudo() received nonzero return code 128 while executing!

    Requested: git submodule foreach "git fetch origin"
    Executed: sudo -S -p 'sudo password:' -H  -u "cchq"  /bin/bash -l -c "cd /home/cchq/www/monolith/current >/dev/null && git submodule foreach \"git fetch origin\""

Aborting.
[x.x.x.x] Executing task 'send_email'
[x.x.x.x] sudo: /home/cchq/www/monolith/releases/2022-06-17_12.47/python_env/bin/python manage.py send_email --to-admins --subject 'Deploy to monolith failed. Try resuming with fab monolith deploy:resume=yes.' 'Traceback:
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 398, in _deploy_without_asking
    deploy_checkpoint(index, command.__name__, execute_with_timing, command)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 391, in deploy_checkpoint
    fn(*args, **kwargs)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/utils.py", line 25, in execute_with_timing
    execute(fn, *args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 385, in execute
    multiprocessing
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 275, in _execute
    return task.run(*args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 172, in run
    return self.wrapped(*args, **kwargs)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 322, in _setup_release
    execute_with_timing(update_code, env.deploy_ref)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/utils.py", line 25, in execute_with_timing
    execute(fn, *args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 417, in execute
    error(err, exception=d['"'"'results'"'"'])
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py", line 359, in error
    return func(message)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py", line 55, in abort
    raise env.abort_exception(msg)
Exception: One or more hosts failed while executing task '"'"'update'"'"'

Underlying exception:
    sudo() received nonzero return code 128 while executing!

    Requested: git submodule foreach "git fetch origin"
    Executed: sudo -S -p '"'"'sudo password:'"'"' -H  -u "cchq"  /bin/bash -l -c "cd /home/cchq/www/monolith/current >/dev/null && git submodule foreach \"git fetch origin\""'
[x.x.x.x] out: fetch: -c: line 29: unexpected EOF while looking for matching `''
[x.x.x.x] out: fetch: -c: line 30: syntax error: unexpected end of file
[x.x.x.x] out:


Fatal error: sudo() received nonzero return code 1 while executing!

Requested: /home/cchq/www/monolith/releases/2022-06-17_12.47/python_env/bin/python manage.py send_email --to-admins --subject 'Deploy to monolith failed. Try resuming with fab monolith deploy:resume=yes.' 'Traceback:
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 398, in _deploy_without_asking
    deploy_checkpoint(index, command.__name__, execute_with_timing, command)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 391, in deploy_checkpoint
    fn(*args, **kwargs)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/utils.py", line 25, in execute_with_timing
    execute(fn, *args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 385, in execute
    multiprocessing
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 275, in _execute
    return task.run(*args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 172, in run
    return self.wrapped(*args, **kwargs)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 322, in _setup_release
    execute_with_timing(update_code, env.deploy_ref)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/utils.py", line 25, in execute_with_timing
    execute(fn, *args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 417, in execute
    error(err, exception=d['"'"'results'"'"'])
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py", line 359, in error
    return func(message)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py", line 55, in abort
    raise env.abort_exception(msg)
Exception: One or more hosts failed while executing task '"'"'update'"'"'

Underlying exception:
    sudo() received nonzero return code 128 while executing!

    Requested: git submodule foreach "git fetch origin"
    Executed: sudo -S -p '"'"'sudo password:'"'"' -H  -u "cchq"  /bin/bash -l -c "cd /home/cchq/www/monolith/current >/dev/null && git submodule foreach \"git fetch origin\""'
Executed: sudo -S -p 'sudo password:' -H  -u "cchq"  /bin/bash -l -c "cd /home/cchq/www/monolith/releases/2022-06-17_12.47 >/dev/null && /home/cchq/www/monolith/releases/2022-06-17_12.47/python_env/bin/python manage.py send_email --to-admins --subject 'Deploy to monolith failed. Try resuming with fab monolith deploy:resume=yes.' 'Traceback:
  File \"/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py\", line 398, in _deploy_without_asking
    deploy_checkpoint(index, command.__name__, execute_with_timing, command)
  File \"/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py\", line 391, in deploy_checkpoint
    fn(*args, **kwargs)
  File \"/home/ccc/commcare-cloud/src/commcare_cloud/fab/utils.py\", line 25, in execute_with_timing
    execute(fn, *args, **kwargs)
  File \"/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py\", line 385, in execute
    multiprocessing
  File \"/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py\", line 275, in _execute
    return task.run(*args, **kwargs)
  File \"/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py\", line 172, in run
    return self.wrapped(*args, **kwargs)
  File \"/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py\", line 322, in _setup_release
    execute_with_timing(update_code, env.deploy_ref)
  File \"/home/ccc/commcare-cloud/src/commcare_cloud/fab/utils.py\", line 25, in execute_with_timing
    execute(fn, *args, **kwargs)
  File \"/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py\", line 417, in execute
    error(err, exception=d['\"'\"'results'\"'\"'])
  File \"/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py\", line 359, in error
    return func(message)
  File \"/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py\", line 55, in abort
    raise env.abort_exception(msg)
Exception: One or more hosts failed while executing task '\"'\"'update'\"'\"'

Underlying exception:
    sudo() received nonzero return code 128 while executing!

    Requested: git submodule foreach \"git fetch origin\"
    Executed: sudo -S -p '\"'\"'sudo password:'\"'\"' -H  -u \"cchq\"  /bin/bash -l -c \"cd /home/cchq/www/monolith/current >/dev/null && git submodule foreach \\"git fetch origin\\"\"'"

Aborting.
Traceback (most recent call last):
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 398, in _deploy_without_asking
    deploy_checkpoint(index, command.__name__, execute_with_timing, command)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 391, in deploy_checkpoint
    fn(*args, **kwargs)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/utils.py", line 25, in execute_with_timing
    execute(fn, *args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 385, in execute
    multiprocessing
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 275, in _execute
    return task.run(*args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 172, in run
    return self.wrapped(*args, **kwargs)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 322, in _setup_release
    execute_with_timing(update_code, env.deploy_ref)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/utils.py", line 25, in execute_with_timing
    execute(fn, *args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 417, in execute
    error(err, exception=d['results'])
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py", line 359, in error
    return func(message)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py", line 55, in abort
    raise env.abort_exception(msg)
Exception: One or more hosts failed while executing task 'update'

Underlying exception:
    sudo() received nonzero return code 128 while executing!

    Requested: git submodule foreach "git fetch origin"
    Executed: sudo -S -p 'sudo password:' -H  -u "cchq"  /bin/bash -l -c "cd /home/cchq/www/monolith/current >/dev/null && git submodule foreach \"git fetch origin\""

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/main.py", line 749, in main
    *args, **kwargs
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 385, in execute
    multiprocessing
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 275, in _execute
    return task.run(*args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 172, in run
    return self.wrapped(*args, **kwargs)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 542, in deploy_commcare
    _deploy_without_asking(skip_record)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 412, in _deploy_without_asking
    traceback_string()
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/utils.py", line 25, in execute_with_timing
    execute(fn, *args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 385, in execute
    multiprocessing
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 275, in _execute
    return task.run(*args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 172, in run
    return self.wrapped(*args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/decorators.py", line 52, in inner_decorator
    return func(*args, **kwargs)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 242, in send_email
    f'{virtualenv_dir}/bin/python manage.py '
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/network.py", line 654, in host_prompting_wrapper
    return func(*args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/operations.py", line 1121, in sudo
    stderr=stderr, timeout=timeout, shell_escape=shell_escape,
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/operations.py", line 952, in _run_command
    error(message=msg, stdout=out, stderr=err)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py", line 359, in error
    return func(message)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py", line 55, in abort
    raise env.abort_exception(msg)
Exception: sudo() received nonzero return code 1 while executing!

Requested: /home/cchq/www/monolith/releases/2022-06-17_12.47/python_env/bin/python manage.py send_email --to-admins --subject 'Deploy to monolith failed. Try resuming with fab monolith deploy:resume=yes.' 'Traceback:
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 398, in _deploy_without_asking
    deploy_checkpoint(index, command.__name__, execute_with_timing, command)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 391, in deploy_checkpoint
    fn(*args, **kwargs)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/utils.py", line 25, in execute_with_timing
    execute(fn, *args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 385, in execute
    multiprocessing
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 275, in _execute
    return task.run(*args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 172, in run
    return self.wrapped(*args, **kwargs)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py", line 322, in _setup_release
    execute_with_timing(update_code, env.deploy_ref)
  File "/home/ccc/commcare-cloud/src/commcare_cloud/fab/utils.py", line 25, in execute_with_timing
    execute(fn, *args, **kwargs)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py", line 417, in execute
    error(err, exception=d['"'"'results'"'"'])
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py", line 359, in error
    return func(message)
  File "/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py", line 55, in abort
    raise env.abort_exception(msg)
Exception: One or more hosts failed while executing task '"'"'update'"'"'

Underlying exception:
    sudo() received nonzero return code 128 while executing!

    Requested: git submodule foreach "git fetch origin"
    Executed: sudo -S -p '"'"'sudo password:'"'"' -H  -u "cchq"  /bin/bash -l -c "cd /home/cchq/www/monolith/current >/dev/null && git submodule foreach \"git fetch origin\""'
Executed: sudo -S -p 'sudo password:' -H  -u "cchq"  /bin/bash -l -c "cd /home/cchq/www/monolith/releases/2022-06-17_12.47 >/dev/null && /home/cchq/www/monolith/releases/2022-06-17_12.47/python_env/bin/python manage.py send_email --to-admins --subject 'Deploy to monolith failed. Try resuming with fab monolith deploy:resume=yes.' 'Traceback:
  File \"/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py\", line 398, in _deploy_without_asking
    deploy_checkpoint(index, command.__name__, execute_with_timing, command)
  File \"/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py\", line 391, in deploy_checkpoint
    fn(*args, **kwargs)
  File \"/home/ccc/commcare-cloud/src/commcare_cloud/fab/utils.py\", line 25, in execute_with_timing
    execute(fn, *args, **kwargs)
  File \"/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py\", line 385, in execute
    multiprocessing
  File \"/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py\", line 275, in _execute
    return task.run(*args, **kwargs)
  File \"/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py\", line 172, in run
    return self.wrapped(*args, **kwargs)
  File \"/home/ccc/commcare-cloud/src/commcare_cloud/fab/fabfile.py\", line 322, in _setup_release
    execute_with_timing(update_code, env.deploy_ref)
  File \"/home/ccc/commcare-cloud/src/commcare_cloud/fab/utils.py\", line 25, in execute_with_timing
    execute(fn, *args, **kwargs)
  File \"/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/tasks.py\", line 417, in execute
    error(err, exception=d['\"'\"'results'\"'\"'])
  File \"/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py\", line 359, in error
    return func(message)
  File \"/home/ccc/.virtualenvs/cchq/lib/python3.6/site-packages/fabric/utils.py\", line 55, in abort
    raise env.abort_exception(msg)
Exception: One or more hosts failed while executing task '\"'\"'update'\"'\"'

Underlying exception:
    sudo() received nonzero return code 128 while executing!

    Requested: git submodule foreach \"git fetch origin\"
    Executed: sudo -S -p '\"'\"'sudo password:'\"'\"' -H  -u \"cchq\"  /bin/bash -l -c \"cd /home/cchq/www/monolith/current >/dev/null && git submodule foreach \\"git fetch origin\\"\"'"
Disconnecting from x.x.x.x... done.
>> Sending email: CommCare HQ deploy to monolith failed
Ubuntu 18.04.5 LTS
bash: python_env/bin/python: No such file or directory
Connection to x.x.x.x closed.
Skipping formplayer because commcare failed

Thanks in advance!

Hi Ed,
The lines

[x.x.x.x] out: fatal: unable to connect to github.com:
[x.x.x.x] out: github.com[0: 140.82.121.3]: errno=Connection timed out

lead me to believe that there was an issue in downloading some of the submodules from github.
Recently, github changed the way the remotes can be fetched.

Do you know if your submodule remotes are in the old format?
You can check with:

$ git remote -v

in each of the submodule directories.
If you have urls that start with https://, you'll want to change them to use git@github.com:
e.g:

$ git remote set-url origin git@github.com:dimagi/MediaUploader.git
1 Like

Hi Farid, assuming we're referring to commcare-cloud here - I don't see any submodules for it. On the article you linked, it says

"Only users connecting via SSH or git:// are affected. If your Git remotes start with https://, nothing in this post will affect you. If you’re an SSH user, read on for the details and timeline."

I assume that means https:// is not affected? Perhaps I'm misundersanding you.
EDIT Of course you were probably talking about Commcare HQ, since it was trying to git fetch origin for each submodule shortly before the failure. There's absolutely nothing in the directory it created - it's not even initialized as a git repo at this stage
/home/cchq/www/monolith/releases/2022-06-17_13.55

Strange though that it's not able to connect... it pings fine and I can curl https://github.com fine from the server. I can manually do a git clone on the commcare hq repo as well with no issues. I'm convinced this is related to connecting to Github though what could be causing it I'm not sure...

It looks like the git fetch is failing against the current release (/home/cchq/www/monolith/current ), not the new release (yet).

1 Like

Thanks @jmiller and @Farid_Rener I believe you are spot on.
Looking at the gitmodules in the current release, we have:

origin git://github.com/dimagi/MediaUploader.git

I assume that should change to https or git@github.com:dimagi/MediaUploader.git (etc. for the others)

That's correct, sorry for not being clear in my initial message!

1 Like

Thanks @Farid_Rener
I have updated all the submodules and have a different error this time:

[x.x.x.x] sudo: git submodule foreach "git fetch origin"
[x.x.x.x] out: Entering 'corehq/apps/hqmedia/static/hqmedia/MediaUploader'
[x.x.x.x] out: Host key verification failed.
[x.x.x.x] out: fatal: Could not read from remote repository.
[x.x.x.x] out:
[x.x.x.x] out: Please make sure you have the correct access rights
[x.x.x.x] out: and the repository exists.

Should I be using https:// perhaps?
Thanks again for your time!

EDIT https:// seems to be working. :crossed_fingers:t3:

I do think you'll want the https:// protocol. This github article has a nice description of the differences:
https://docs.github.com/en/get-started/getting-started-with-git/about-remote-repositories#choosing-a-url-for-your-remote-repository

Critically, regarding the ssh url (git@github.com:org/repo.git),

To use these URLs, you must generate an SSH keypair on your computer and add the public key to your account on GitHub.com

1 Like

Got it, thanks Ethan - given that this is for a shared responsibility server, I'll stick with https.
Thanks all or the help!